<?php

	include("webStatsInclude.php");

	echo "<h1>Server Stats</h1>\n";
	
	$xml = getServerStatsSimpleXML("http://192.168.0.100:8080/feed/dedicated-server-stats.xml?code=c0d28909d299ecdea9a1b03ab25fce92");
	
	if ($xml) {	
		echo "<h2>Game</h2>\n";
		
		echo "Game: "  . $xml["game"] . "<br />\n";
		echo "Server: "  . $xml["server"] . "<br />\n";
		echo "Name: "  . $xml["name"] . "<br />\n";
		echo "Map: "  . $xml["mapName"] . "<br />\n";
		echo "Money: "  . $xml["money"] . "<br />\n";
		echo "<br /><br />\n";
	
		echo "<h2>Players</h2>\n";
		$slotCount = 1;
		foreach ($xml->Slots->Player as $player) {
			if ($player["isUsed"] == "true") {
			
				$hours = floor($player["uptime"]/60);
				$minutes = floor($player["uptime"]-($hours*60));
							
				echo "Slot "  . $slotCount . ": " . $player . " " . $hours . ":" . sprintf("%02d", $minutes) . "h " . (($player["isAdmin"] == "true")?"Admin":"") . "<br />\n";
			} else {
				echo "Slot "  . $slotCount . ": ---Empty---<br />\n";
			}
			$slotCount++;
		}
		echo "<br /><br />\n";
		
		echo "<h2>Mods</h2>\n";
		foreach ($xml->Mods->Mod as $mod) {
			echo $mod . " / " . $mod["author"] . " / " . $mod["version"] . "<br />\n";
		}		
	
		echo "<br />\n";
		echo "Powered By <a href=\"http://www.giants-software.com/\">GIANTS Software</a>\n";
	
	
	} else {
		echo "<p>Server stats feed unavailable</p>\n";
	}
	
?>
